# array-slice [![NPM version](https://badge.fury.io/js/array-slice.svg)](http://badge.fury.io/js/array-slice)


> Array-slice method. Slices `array` from the `start` index up to, but not including, the `end` index.

This function is used instead of `Array#slice` to support node lists in IE < 9 and to ensure dense arrays are returned.

## Install
#### Install with [npm](npmjs.org)

```bash
npm i array-slice --save
```

## Usage
### [.exports](index.js#L26)

```js var slice = require('array-slice'); var arr = ['a', 'b', 'd', 'e', 'f', 'g', 'h', 'i', 'j'];

* `array` **{Array}**: The array to slice.    
* `start` **{number}**: The start index.    
* `end` **{number}**: The end index.    
* `returns` **{Array}**: Returns the slice of `array`.  

slice(arr, 3, 6);
//=> ['e', 'f', 'g']
```

## Author

**Jon Schlinkert**
 
+ [github/jonschlinkert](https://github.com/jonschlinkert)
+ [twitter/jonschlinkert](http://twitter.com/jonschlinkert) 

## License
Copyright (c) 2014 Jon Schlinkert, contributors.  
Released under the MIT license

***

_This file was generated by [verb-cli](https://github.com/assemble/verb-cli) on October 06, 2014._